## org.h2.value
Class ValueTime

    java.lang.Object
      org.h2.value.Value
          org.h2.value.ValueTime

    public class ValueTime

extends Value

Implementation of the TIME data type.

Field Summary
`static int` `PRECISION` The precision in digits.

Fields inherited from class org.h2.value.Value
`ARRAY, BLOB, BOOLEAN, BYTE, BYTES, CLOB, DATE, DECIMAL, DOUBLE, FLOAT, INT, JAVA_OBJECT, LONG, NULL, RESULT_SET, SHORT, STRING, STRING_FIXED, STRING_IGNORECASE, TIME, TIMESTAMP, TYPE_COUNT, UNKNOWN, UUID`

Method Summary
`protected int` `compareSecure(Value o, CompareMode mode)` Compare the value with another value of the same type.
`boolean` `equals(java.lang.Object other)` Check if the two values are equal.
`static ValueTime` `get(java.sql.Time time)` Get or create a time value for the given time.
`int` `getDisplaySize()` Get the display size in characters.
`static ValueTime` `getNoCopy(java.sql.Time time)` Get or create a time value for the given time.
`java.lang.Object` `getObject()` Get the value as an object.
`long` `getPrecision()` Get the precision.
`java.lang.String` `getSQL()` Get the SQL expression for this value.
`java.lang.String` `getString()` Get the value as a string.
`java.sql.Time` `getTime()`
`java.sql.Time` `getTimeNoCopy()`
`int` `getType()` Get the value type.
`int` `hashCode()`
`static java.sql.Time` `parseTime(java.lang.String s)` Parse a string to a java.sql.Time object.
`void` `set(java.sql.PreparedStatement prep, int parameterIndex)` Set the value as a parameter in a prepared statement.

Methods inherited from class org.h2.value.Value

`add, checkPrecision, close, compareEqual, compareTo, compareTypeSave, convertPrecision, convertScale, convertTo, divide, getBigDecimal, getBoolean, getByte, getBytes, getBytesNoCopy, getDate, getDateNoCopy, getDouble, getFloat, getHigherOrder, getInputStream, getInt, getLong, getMemory, getReader, getScale, getShort, getSignum, getTimestamp, getTimestampNoCopy, getTraceSQL, isFileBased, isLinked, link, multiply, negate, subtract, throwUnsupportedExceptionForType, toString, unlink`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PRECISION

    public static final int PRECISION

  The precision in digits.

  See Also:
    Constant Field Values

Method Detail

### parseTime

    public static java.sql.Time parseTime(java.lang.String s)
                                   throws java.sql.SQLException

  Parse a string to a java.sql.Time object.

  Parameters:
    `s` - the string to parse
  Returns:
    the time
  Throws:
    `java.sql.SQLException`

### getTime

    public java.sql.Time getTime()

  Overrides:
    `getTime` in class `Value`

### getTimeNoCopy

    public java.sql.Time getTimeNoCopy()

  Overrides:
    `getTimeNoCopy` in class `Value`

### getSQL

    public java.lang.String getSQL()

  Description copied from class: `Value`
  Get the SQL expression for this value.

  Specified by:
    `getSQL` in class `Value`
  Returns:
    the SQL expression

### getType

    public int getType()

  Description copied from class: `Value`
  Get the value type.

  Specified by:
    `getType` in class `Value`
  Returns:
    the type

### compareSecure

    protected int compareSecure(Value o,
                                CompareMode mode)

  Description copied from class: `Value`
  Compare the value with another value of the same type.

  Specified by:
    `compareSecure` in class `Value`
  Parameters:
    `o` - the other value
    `mode` - the compare mode
  Returns:
    0 if both values are equal, -1 if the other value is smaller, and 1 otherwise

### getString

    public java.lang.String getString()

  Description copied from class: `Value`
  Get the value as a string.

  Specified by:
    `getString` in class `Value`
  Returns:
    the string

### getPrecision

    public long getPrecision()

  Description copied from class: `Value`
  Get the precision.

  Specified by:
    `getPrecision` in class `Value`
  Returns:
    the precision

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `Value`

### getObject

    public java.lang.Object getObject()

  Description copied from class: `Value`
  Get the value as an object.

  Specified by:
    `getObject` in class `Value`
  Returns:
    the object

### set

    public void set(java.sql.PreparedStatement prep,
                    int parameterIndex)
             throws java.sql.SQLException

  Description copied from class: `Value`
  Set the value as a parameter in a prepared statement.

  Specified by:
    `set` in class `Value`
  Parameters:
    `prep` - the prepared statement
    `parameterIndex` - the parameter index
  Throws:
    `java.sql.SQLException`

### get

    public static ValueTime get(java.sql.Time time)

  Get or create a time value for the given time. Clone the time.

  Parameters:
    `time` - the time
  Returns:
    the value

### getNoCopy

    public static ValueTime getNoCopy(java.sql.Time time)

  Get or create a time value for the given time. Do not clone the time.

  Parameters:
    `time` - the time
  Returns:
    the value

### getDisplaySize

    public int getDisplaySize()

  Description copied from class: `Value`
  Get the display size in characters.

  Specified by:
    `getDisplaySize` in class `Value`
  Returns:
    the display size

### equals

    public boolean equals(java.lang.Object other)

  Description copied from class: `Value`
  Check if the two values are equal. No data conversion is made; this method returns false if the other object is not of the same class.

  Specified by:
    `equals` in class `Value`
  Parameters:
    `other` - the other value
  Returns:
    true if they are equal